Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
entitlements
/
{app_entitlement_id}
/
add-manual-user
AddManuallyManagedMembers
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.AppEntitlements.AddManuallyManagedMembers(ctx, operations.C1APIAppV1AppEntitlementsAddManuallyManagedMembersRequest{
        AppEntitlementID: "<id>",
        AppID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ManuallyManagedUsersResponse != nil {
        // handle response
    }
}
{
  "bulkActionId": "<string>",
  "failedUsersErrorMap": {}
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-groman-network-requirements-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The ID of the app that contains the entitlement.

app_entitlement_id
string
required

The ID of the app entitlement to add manually managed members to.

Body

application/json

The AddManuallyManagedUsersRequest message.

userIds
string[] | null

The IDs of users to add as manually managed members.

Response

200 - application/json

Successful response

The ManuallyManagedUsersResponse message.

bulkActionId
string

The ID of the bulk action created to process the membership additions.

failedUsersErrorMap
object

A map of user IDs to error messages for users that could not be added.